# lnx-ps2.h File Reference

Go to the source code of this file.

## Functions

pointer | ps2LinuxCreatePrivate (DeviceIntPtr pMouse)
void | ps2LinuxDestroyPrivate (pointer priv)
void | ps2LinuxRead (DevicePtr pDev, dmxMotionProcPtr motion, dmxEnqueueProcPtr enqueue, dmxCheckSpecialProcPtr checkspecial, DMXBlockType block)
void | ps2LinuxInit (DevicePtr pDev)
void | ps2LinuxGetInfo (DevicePtr pDev, DMXLocalInitInfoPtr info)
int | ps2LinuxOn (DevicePtr pDev)
void | ps2LinuxOff (DevicePtr pDev)
void | ps2LinuxCtrl (DevicePtr pDev, PtrCtrl *ctrl)
void | ps2LinuxVTPreSwitch (pointer p)
void | ps2LinuxVTPostSwitch (pointer p)

## Detailed Description

Interface to Linux PS/2 mouse driver.

See also:
  lnx-ps2.c

## Function Documentation

pointer ps2LinuxCreatePrivate | ( | DeviceIntPtr | pMouse | ) |

Create a private structure for use within this file.

References _myPrivate::fd, and _myPrivate::pMouse.

void ps2LinuxCtrl | ( | DevicePtr | pDev,
|  | PtrCtrl * | ctrl
| ) |  |

void ps2LinuxDestroyPrivate | ( | pointer | priv | ) |

Destroy a private structure.

void ps2LinuxGetInfo | ( | DevicePtr | pDev,
|  | DMXLocalInitInfoPtr | info
| ) |  |

Fill the info structure with information needed to initialize pDev.

References _DMXLocalInitInfo::buttonClass, _DMXLocalInitInfo::map, _DMXLocalInitInfo::maxres, _DMXLocalInitInfo::maxval, _DMXLocalInitInfo::minres, _DMXLocalInitInfo::minval, _DMXLocalInitInfo::numButtons, _DMXLocalInitInfo::numRelAxes, ps2LinuxGetMap(), _DMXLocalInitInfo::ptrFeedbackClass, _DMXLocalInitInfo::res, and _DMXLocalInitInfo::valuatorClass.

void ps2LinuxInit | ( | DevicePtr | pDev | ) |

Initialize pDev.

References FATAL1, GETPRIV, and O_NONBLOCK.

Referenced by ps2LinuxOn().

void ps2LinuxOff | ( | DevicePtr | pDev | ) |

Turn pDev off (i.e., stop taking input from pDev).

References GETPRIV.

int ps2LinuxOn | ( | DevicePtr | pDev | ) |

Turn pDev on (i.e., take input from pDev).

References GETPRIV, and ps2LinuxInit().

void ps2LinuxRead | ( | DevicePtr | pDev,
|  | dmxMotionProcPtr | motion,
|  | dmxEnqueueProcPtr | enqueue,
|  | dmxCheckSpecialProcPtr | checkspecial,
|  | DMXBlockType | block
| ) |  |

void ps2LinuxVTPostSwitch | ( | pointer | p | ) |

Currently unused hook called after returning from a VT switch.

void ps2LinuxVTPreSwitch | ( | pointer | p | ) |

Currently unused hook called prior to an VT switch.